Is Pro really required for plugins on iOS?

I’m developing a game which may utilize native code on mobile platforms. I’ve read the following page:

http://unity3d.com/support/documentation/Manual/Plugins.html

This page seems to imply that i MUST purchase Unity Pro in order to use native code when building iOS and Android apps – “Plugins are a Pro-only feature.”

But then there’s this page:

This page seems to indicate that I can write/call native plugins if I use Unity Basic + iOS Basic – for Plugins, there’s a checkmark next to iOS Basic.

Which is correct? I’ve also read on prime31.com that their native Plugins work entirely with Unity Basic + iOS Basic, so I’m hopeful that’s a supported scenario.

It’s a Pro + Mobile feature so you can use it on iOS Basic without any problems.